#include "FCAPaletteAppUi.h"
#include "FCAPaletteDocument.h"

// Standard Symbian OS construction sequence
CFCAPaletteDocument* CFCAPaletteDocument::NewL(CEikApplication& aApp)
    {
    CFCAPaletteDocument* self = NewLC(aApp);
    CleanupStack::Pop(self);
    return self;
    }

CFCAPaletteDocument* CFCAPaletteDocument::NewLC(CEikApplication& aApp)
    {
    CFCAPaletteDocument* self = new (ELeave) CFCAPaletteDocument(aApp);
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
    }

void CFCAPaletteDocument::ConstructL()
    {
    // No implementation required
    }    

CFCAPaletteDocument::CFCAPaletteDocument(CEikApplication& aApp) : CAknDocument(aApp) 
    {
    // No implementation required
    }   

CFCAPaletteDocument::~CFCAPaletteDocument()
    {
    // No implementation required
    }

CEikAppUi* CFCAPaletteDocument::CreateAppUiL()
    {
    // Create the application user interface, and return a pointer to it,
    // the framework takes ownership of this object
    CEikAppUi* appUi = new (ELeave) CFCAPaletteAppUi;
    return appUi;
    }

